---
title: Consultar solicitações
slug: consultar-solicitacoes
docTags: 
createdAt: 2024-11-25T16:21:45.939Z
---

:::ApiMethodV2
```json
{
  "name": "Consultar solicitações",
  "method": "GET",
  "url": "https://gyra-core.gyramais.com.br/onboarding/optin",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "HkVUtwcWlfWbw9iK76hBK",
        "language": "curl",
        "code": "curl --request GET \\\n  --url https://gyra-core.gyramais.com.br/onboarding/optin \\\n  --header 'Accept: application/json' \\\n  --header 'Authorization: Bearer token' \\\n  --header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "HkVUtwcWlfWbw9iK76hBK"
  },
  "results": {
    "languages": [
      {
        "id": "t2bGknmDZ7Qp4wqncuDnu",
        "language": "200",
        "customLabel": "",
        "code": "[\n\t{\n\t\t\"id\": \"14412196097\",\n\t\t\"customerDocument\": \"14412196097\",\n\t\t\"customerName\": \"Teste Api\",\n\t\t\"customerEmail\": \"api@gyramais.com\",\n\t\t\"customerPhoneNumber\": \"35992118888\",\n\t\t\"optins\": [\n\t\t\t{\n\t\t\t\t\"id\": \"6744aaaba85e7cfac24959d6\",\n\t\t\t\t\"type\": {\n\t\t\t\t\t\"id\": \"6724ea1c2dd97bbe53010ccd\",\n\t\t\t\t\t\"type\": \"SCR\",\n\t\t\t\t\t\"name\": \"SCR\"\n\t\t\t\t},\n\t\t\t\t\"signedAt\": null\n\t\t\t}\n\t\t],\n\t\t\"createdAt\": \"2024-11-25T16:49:47.583Z\"\n\t},\n\t{\n\t\t\"id\": \"13027524640\",\n\t\t\"customerDocument\": \"13####40\",\n\t\t\"customerName\": \"Gustavo\",\n\t\t\"customerEmail\": \"gustavo@gyramais.com\",\n\t\t\"customerPhoneNumber\": \"(35) 99###-###6\",\n\t\t\"optins\": [\n\t\t\t{\n\t\t\t\t\"id\": \"6734d9a93f261843829a60ff\",\n\t\t\t\t\"type\": {\n\t\t\t\t\t\"id\": \"6724ea1c2dd97bbe53010ccd\",\n\t\t\t\t\t\"type\": \"SCR\",\n\t\t\t\t\t\"name\": \"SCR\"\n\t\t\t\t},\n\t\t\t\t\"signedByName\": \"Gustavo\",\n\t\t\t\t\"signedByDocument\": \"13#######40\",\n\t\t\t\t\"signedAt\": \"2024-11-19T20:41:08.000Z\"\n\t\t\t}\n\t\t],\n\t\t\"createdAt\": \"2024-11-13T16:54:01.293Z\"\n\t}\n]"
      }
    ],
    "selectedLanguageId": "t2bGknmDZ7Qp4wqncuDnu"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer Token",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "hasTryItOut": true
}
```
:::

